Download it now!
Bug 117597 - No scrolling with mousewheel while dragging slides around
Summary: No scrolling with mousewheel while dragging slides around
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Slide-Page-Pane
  Show dependency treegraph
 
Reported: 2018-05-13 09:42 UTC by Aron Budea
Modified: 2019-05-16 03:13 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Empty presentation with many slides (12.08 KB, application/vnd.oasis.opendocument.presentation)
2018-05-13 09:44 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2018-05-13 09:42:34 UTC
- Open a presentation with many slides, eg. the attached one.
- Start dragging any in the Slides Pane, and try scrolling with the mousewheel up/down in the meantime.

=> Scrolling with mousewheel doesn't work while dragging the slide.
This would make it more convenient to move a slide far up/down the slide deck.

Observed using LO 6.1 master build (2de80f9a21f9601b75a2f43c07eb3e0a6509b1e6) & 3.3.0 / Ubuntu 17.10, with VCL plugins gtk3, gtk and gen.
It works fine in Windows, so the behavior is OS-specific.
Comment 1 Aron Budea 2018-05-13 09:44:55 UTC
Created attachment 142076 [details]
Empty presentation with many slides
Comment 2 V Stuart Foote 2018-05-14 21:09:02 UTC
Aron, *

Can not reproduce on Windows builds. But, there is a very small target to activate the scroll with click-drag.

Windows 10 Ent 64-bit en-US with
Version: 6.1.0.0.alpha1 (x64)
Build ID: cb47f0d320994e001bc38dc2ee9b7d957b15e6ab
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: en-US (en_US); Calc: group
Comment 3 Aron Budea 2018-05-14 21:49:55 UTC
Yes, I mentioned it works in Windows, no idea if on purpose or by accident, but would be nice if this feature would be available in other OSes as well.
Comment 4 Timur 2018-05-15 16:29:12 UTC
I'll confirm for Linux. Someone else may write for Mac.
Comment 5 V Stuart Foote 2018-05-15 16:53:34 UTC
Sorry, I misread the issue a bit. Using the mousewheel to reorder slides does not work with Windows builds either.

With focus in the Slides preview pane the mousewhell will only scroll the list. It can not be used to reorder the selected slides. 

You _can_ drag a selection of slides to the top or the bottom of the Slides preview sorting pane.  Holding over the small targets at top or bottom will scroll the preview pane and advance the drop location.

But positioning the drop location can not be done with the mousewheel on Windows either.
Comment 6 QA Administrators 2019-05-16 03:13:29 UTC
Dear Aron Budea,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug